local L = PGFinderLocals

EnRT_DemonicInquisitionOptions = CreateFrame("Frame", "EnRT_DemonicInquisitionOptionsFrame", InterfaceOptionsFramePanelContainer)
EnRT_DemonicInquisitionOptions.name = L.OPTIONS_DEMONICINQUISITION_TITLE
EnRT_DemonicInquisitionOptions.parent = "|cFFFFFF00Tomb of Sargeras Modules"
EnRT_DemonicInquisitionOptions:Hide()

local title = EnRT_DemonicInquisitionOptions:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
title:SetPoint("TOP", 0, -16)
title:SetText(L.OPTIONS_TITLE)
	
local tabinfo = EnRT_DemonicInquisitionOptions:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
tabinfo:SetPoint("TOPLEFT", 16, -16)
tabinfo:SetText(L.OPTIONS_DEMONICINQUISITION_TITLE)

local author = EnRT_DemonicInquisitionOptions:CreateFontString(nil, "ARTWORK", "GameFontNormal")
author:SetPoint("TOPLEFT", 450, -20)
author:SetText(L.OPTIONS_AUTHOR)

local version = EnRT_DemonicInquisitionOptions:CreateFontString(nil, "ARTWORK", "GameFontNormal")
version:SetPoint("TOPLEFT", author, "BOTTOMLEFT", 0, -10)
version:SetText(L.OPTIONS_VERSION)

local info = EnRT_DemonicInquisitionOptions:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
info:SetPoint("TOPLEFT", 220, -10)
info:SetSize(350, 200)
info:SetText(L.OPTIONS_DEMONICINQUISITION_INFO)
info:SetWordWrap(true)

local enabledButton = CreateFrame("CheckButton", "EnRT_DemonicInquisitionEnabledCheckButton", EnRT_DemonicInquisitionOptions, "UICheckButtonTemplate")
enabledButton:SetSize(26, 26)
enabledButton:SetPoint("TOPLEFT", 30, -90)
enabledButton:HookScript("OnClick", function(self)
	if self:GetChecked() then
		EnRT_DemonicInquisitionEnabled = true
		PlaySound(856)
	else
		EnRT_DemonicInquisitionEnabled = false
		PlaySound(857)
	end
end)

local enabledText = EnRT_DemonicInquisitionOptions:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
enabledText:SetPoint("TOPLEFT", enabledButton, "TOPLEFT", 30, -7)
enabledText:SetText(L.OPTIONS_ENABLED)


EnRT_DemonicInquisitionOptions:SetScript("OnShow", function(self)
	enabledButton:SetChecked(EnRT_DemonicInquisitionEnabled)
end)

InterfaceOptions_AddCategory(EnRT_DemonicInquisitionOptions)